Re: F-Spot on Mac OS X?



[...]
> 
> In any case, give it a shot and tell us what you came up with.
> 
Sorry for this very late reply, but I was still hoping for newer versions of
gtkhtml, gconf and the like to get into fink unstable. Until then, however, it
would be nice to have the following patch included into f-spot -- on MacOS the
GNU version of libtool is usually installed as glibtool (by fink as well as
darwinports).

------------------------------------SNIP---------------------------------------
--- autogen.sh  14 Oct 2004 20:12:12 -0000      1.6
+++ autogen.sh  9 Oct 2006 21:49:50 -0000
@@ -36,8 +36,11 @@
        DIE=1
 }
 
+LIBTOOL=`which glibtool`
+test -z "$LIBTOOL" && LIBTOOL=libtool
+
 (grep "^AM_PROG_LIBTOOL" configure.in >/dev/null) && {
-  (libtool --version) < /dev/null > /dev/null 2>&1 || {
+  ($LIBTOOL --version) < /dev/null > /dev/null 2>&1 || {
     echo
     echo "**Error**: You must have \`libtool' installed to compile $PROJECT."
     echo "Get ftp://ftp.gnu.org/pub/gnu/libtool-1.2d.tar.gz";
@@ -123,8 +126,8 @@
         intltoolize --copy --force --automake
       fi
       if grep "^AM_PROG_LIBTOOL" configure.in >/dev/null; then
-       echo "Running libtoolize..."
-       libtoolize --force --copy
+       echo "Running ${LIBTOOL}ize..."
+       ${LIBTOOL}ize --force --copy
       fi
       echo "Running $ACLOCAL $aclocalinclude ..."
       $ACLOCAL $aclocalinclude
------------------------------------SNAP---------------------------------------

Regards,
Michael

Attachment: pgpVGjRRdzO6z.pgp
Description: PGP signature



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]